Subject: Re: bug#12647: 24.2.50; emacs --daemon broken in tty

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Oct 2012 09:20:06 -0400

> This is due to the various changes related to display handling in
> r110444 (cygw32).  The specific error is from x-initialize-window-system,
> which cannot find a display (don't ask me why getenv DISPLAY doesn't
> work here).

He said he started "emacs --daemon" outside of X windows, so DISPLAY is
not set.

> In the past, frame.el set x-display-name, but it does not do
> that any more.

Where did it do it?

> The following example frame.el change makes it work again, but someone
> should check this area.

To a large extent x-display-name should disappear, replaced by explicit
parameters, since it doesn't make much sense in a multi-display context.
So this part of the code is pretty ugly.  Your patch is probably OK in
the sense that it doesn't seem to make things significantly worse.

        Stefan